Uses of Interface
com.veeva.vault.sdk.api.json.JsonObject
Packages that use JsonObject
Package
Description
This package provides interfaces and classes for executing agent actions asynchronously,
and for creating custom Agent Action Result Handlers to process Agent action results or errors.
This package provides interfaces and classes for AI operations.
This package provides interfaces to make HTTP callouts to Vault or to an external service.
This package provides interfaces to build Vault to Vault integrations which require data mapping.
This package provides interfaces to manage reading and writing JSON data.
This package provides interfaces to send data when loading a page or responding to events after the page has loaded.
This package provides interfaces to implement Web APIs.
-
Uses of JsonObject in com.veeva.vault.sdk.api.agent
Fields in com.veeva.vault.sdk.api.agent with type parameters of type JsonObjectModifier and TypeFieldDescriptionstatic final AgentActionOutputType<JsonObject>AgentActionOutputType.JSONRepresents a JSON output to an agent action. -
Uses of JsonObject in com.veeva.vault.sdk.api.ai
Methods in com.veeva.vault.sdk.api.ai that return JsonObjectModifier and TypeMethodDescriptionAiContextTypeResolveContext.getConfiguration()Retrieves the configuration data of the AI Context.AiToolTypeExecuteContext.getInput()Retrieves the resolved input.Methods in com.veeva.vault.sdk.api.ai with parameters of type JsonObjectModifier and TypeMethodDescriptionAiToolTypeExecutionResponse.JsonResultBuilder.withJson(JsonObject json) Adds resulting JSON from tool execution. -
Uses of JsonObject in com.veeva.vault.sdk.api.http
Methods in com.veeva.vault.sdk.api.http with parameters of type JsonObjectModifier and TypeMethodDescriptionHttpRequest.setBody(JsonObject body) Specifies request body as JSON as returned byasString().FormHttpRequest.Builder.withBody(JsonObject body) Specifies request body as JSON as returned byasString(). -
Uses of JsonObject in com.veeva.vault.sdk.api.integration
Methods in com.veeva.vault.sdk.api.integration that return JsonObjectModifier and TypeMethodDescriptionEvaluateFieldRulesRequest.getQueryData()Retrieves the query data.EvaluateFieldRulesRequest.getQueryDescribe()Retrieves thequeryDescribeJSON from the query response.Methods in com.veeva.vault.sdk.api.integration with parameters of type JsonObjectModifier and TypeMethodDescriptionIntegrationRuleService.evaluateFieldRules(IntegrationRule integrationRule, String targetName, JsonObject queryDescribe, JsonObject data) Deprecated.EvaluateFieldRulesRequestBuilder.withQueryData(JsonObject queryData) Required: Sets the query data.EvaluateFieldRulesRequestBuilder.withQueryDescribe(JsonObject queryDescribe) Required: Sets the query describe. -
Uses of JsonObject in com.veeva.vault.sdk.api.json
Fields in com.veeva.vault.sdk.api.json with type parameters of type JsonObjectMethods in com.veeva.vault.sdk.api.json that return JsonObjectModifier and TypeMethodDescriptionJsonObjectBuilder.build()Returns a builtJsonObject.<U extends UserDefinedModel>
JsonObjectJsonService.convertToJson(U udm) Convert from a UserDefinedModel instance into a JsonObject.JsonData.getJsonObject()Retrieves the top-levelJsonObjectfor the JSON data.Methods in com.veeva.vault.sdk.api.json with parameters of type JsonObjectModifier and TypeMethodDescription<U extends UserDefinedModel>
UJsonService.convertToUserDefinedModel(JsonObject jsonObject, Class<U> udmClass) Convert a JsonObject into a UserDefinedModel.JsonService.newJsonObjectBuilder(JsonObject jsonObject) Retrieves a newJsonObjectBuilderwith all the properties of the provided JsonObject. -
Uses of JsonObject in com.veeva.vault.sdk.api.page
Methods in com.veeva.vault.sdk.api.page that return JsonObjectModifier and TypeMethodDescriptionPageEventContext.getData()Retrieves the data sent from the client as a JSON object.Methods in com.veeva.vault.sdk.api.page with parameters of type JsonObjectModifier and TypeMethodDescriptionPageEventResponse.Builder.withData(JsonObject data) Conditional: Sets the data for the event response as JSON object.PageLoadResponse.Builder.withData(JsonObject data) Conditional: Sets the data for the page load response as a JSON object. -
Uses of JsonObject in com.veeva.vault.sdk.api.webapi
Methods in com.veeva.vault.sdk.api.webapi that return JsonObjectModifier and TypeMethodDescriptionWebApiRequest.getJsonObject()Retrieves thisWebAPIRequestas a Json Object.Methods in com.veeva.vault.sdk.api.webapi with parameters of type JsonObjectModifier and TypeMethodDescriptionWebApiResponse.Builder.withData(JsonObject data) Sets the JSON Object containing the response data.
IntegrationRuleService.evaluateFieldRules(EvaluateFieldRulesRequest)which allows for additional functionality such as evaluating the field rule with target field lookups.